# Update an asset

Updates the metadata and properties of an existing digital asset, such as alt text, description, and tags.

Endpoint: PUT /api/v1/assets/{assetId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `assetId` (string, required)
    The unique identifier of the asset to be updated.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Request fields (application/json):

  - `fields` (object, required)
    A key-value map of metadata fields to update for the asset.

  - `language` (string, required)
    The new language code of the asset.
    Example: en

  - `name` (any)
    The new name for the asset. If null, the name will not be updated.
    Example: Skateboarder

  - `altText` (any)
    The new alt text for the asset. If null, the alt text will not be updated.
    Example: A skateboarder performing a trick

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `itemId` (string)
    The unique identifier of the asset.
    Example: 550e8400-e29b-41d4-a716-446655440000

  - `name` (string)
    The updated name of the asset.
    Example: Skateboarder in action

  - `path` (string)
    The path to the asset.
    Example: /media/assets/As8c7e6d-5b4

  - `updatedFields` (object)
    The fields that were updated in the asset.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

